MagicWP Docs
Sites

Update site settings (status 'deleted' deletes the site)

PATCH
/v1/sites/{site_id}

Permission: site.view to reach; per field: site_label → site.notes, maintenance_mode → site.power, status: deleted → site.delete

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid

Request Body

application/json
  1. body
site_label?|null
maintenance_mode?boolean|null
status?string|null

Response Body

Successful Response

application/json
  1. response
success*boolean
data*|
message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X PATCH "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "site_label": "My renamed site"  }'
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "stack_number": 0,    "server_id": "820efca4-4a15-4ab7-82fc-9e76f6d61325",    "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",    "subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627",    "domain_name": "string",    "custom_domain": "string",    "site_label": "string",    "region": "string",    "status": "string",    "message": "string",    "site_type": "string",    "template_id": null,    "template_version": null,    "wp_version": "string",    "wp_installed": true,    "php_hardened": null,    "config_profile": null,    "php_version": "string",    "storage_limit": 0,    "storage_usage": 0,    "maintenance_mode": true,    "notes": null,    "notes_updated_at": null,    "notes_updated_by": null,    "parent_site_id": null,    "expires_at": null,    "extend_count": 0,    "demo_expires_at": null,    "demo_stopped_at": null,    "demo_converted_at": null,    "site_lock": true,    "lock_reason": "string",    "locked_at": "2019-08-24T14:15:22Z",    "billing_suspended_at": "2019-08-24T14:15:22Z",    "admin_suspended_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z"  }}